const Koa = require('koa');
const views = require('koa-views');
const serve = require('koa-static');
const koaBody = require('koa-body');
const bodyParser = require('koa-bodyparser');
const path = require('path');
const router = require('./server/router');
const config = require('./server/config');

const env = process.env.NODE_ENV;

const app = new Koa();

app.use(router.routes(), router.allowedMethods());

app.use(serve(path.join(__dirname, './public')));
app.use(koaBody({ multipart: true }));
app.use(bodyParser());

app.listen(config.port, () => {
  console.info(
    'Listening on port %s in %s mode, Open up http://127.0.0.1:%s/ in your browser.',
    config.port,
    config.env,
    config.port
  );
});
