/**
 * 企业认证
 */
import axios from "../utils/request";

/**
 * 获取企业信息列表
 * @param query
 */
export async function auditList (params) {
  const res = await axios.post(`/api/v1/certification`, params);
  return res;
}

/**
 * 企业认证审核获取验证码
 * @param enterprise_auth_record_id 企业认证审核id
 */
export async function sendCode (enterprise_auth_record_id) {
  const res = await axios.post(`/api/v1/send_code`, enterprise_auth_record_id);
  return res;
}

/**
 * 企业认证检测验证码
 * @param enterprise_auth_record_id 企业认证审核id
 * @param code 验证码
 */
export async function checkCode (params) {
  const res = await axios.post(`/api/v1/check_code`, params);
  return res;
}

/**
 * 获取审核列表详情
 * @param enterprise_auth_record_id 审核记录id
 */
export async function getRecordInfo (params) {
  const res = axios.post(`/api/v1/get_record_info`, params);
  return res;
}
/**
 * 获取提交审核日志
 * @param enterprise_auth_record_id 审核记录id
 */
export async function getLog (params) {
  const res = axios.post(`/api/v1/get_log`, params);
  return res;
}

// 发送企业信息认证
export async function entCommit (query) {
  const res = await axios.post(`/api/v1/emterprise_commit`, query);
  return res;
}
